Last modified: 2014-11-12 10:45:56 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 59215 - ConfirmCloseWindow should be in core
ConfirmCloseWindow should be in core
Status: NEW
Product: MediaWiki extensions
Classification: Unclassified
UploadWizard (Other open bugs)
unspecified
All All
: Unprioritized normal (vote)
: ---
Assigned To: Nobody - You can work on this!
:
Depends on:
Blocks: code_quality
  Show dependency treegraph
 
Reported: 2014-01-02 16:59 UTC by Mark Holmquist
Modified: 2014-11-12 10:45 UTC (History)
9 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Mark Holmquist 2014-01-02 16:59:26 UTC
mw.ConfirmCloseWindow.js contains code that prevents the window from being closed while an upload is still in progress. It's just a function we call, once, so it's not UW-specific. This is too general a module to keep it locked up in UW.

This bug will take a patchset to core and a near-simultaneous patchset to UW. I would suggest writing both at once, for testing purposes, and making sure the UW one is ready to go first, then we can merge it immediately after the core patch is merged.

Alternatively we could add it to core, wait 'til it's merged, and only then try to remove the module from UW.

Either way, I want this code out of UW and into core so it's not gumming things up. I'm sure the core behaviour on the edit page is very similar, so it may be that there already is a module and it just needs some extra features, or that it could use this code instead and be just as effective.
Comment 1 Tisza Gergő 2014-01-03 09:19:42 UTC
Seems like a good Google Code-In task.
Comment 2 Quim Gil 2014-01-04 00:35:59 UTC
GCI ends in two days and we are not creating any new tasks. Still, we will keep featuring easy bugs for newcomers (details to be defined). I'll still add this one to the whiteboard. Thank you!
Comment 3 Tina Johnson ( tinaj1234 ) 2014-01-21 12:33:02 UTC
I would like to work on this bug. Please assign this to me.
Comment 4 Andre Klapper 2014-10-26 17:14:26 UTC
tinaj1234: I am resetting the assignee of this issue to default because there has been no signs of progress for the last months. Feel free to assign it to yourself again when you plan to work on this. Thanks for your understanding. :)
Comment 5 Andre Klapper 2014-11-05 15:42:19 UTC
mtraceur wrote that "is done but for the code review" but I don't see any link to Gerrit here? Removing "easy" etc.
Comment 6 Tisza Gergő 2014-11-12 10:45:56 UTC
The related Mingle card (with Gerrit links) is https://wikimedia.mingle.thoughtworks.com/projects/multimedia/cards/820

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links